package com.dev.swms.client.ui.javabean;

import java.util.Date;
import com.google.gwt.user.client.rpc.IsSerializable;

public class PT_ALLOCATED implements IsSerializable {
	//任务号
	private Long taskId;
	//库存代号
	private String locationCode;
	//货品代号
	private String itemCode;
	//货品名称
	private String itemName;
	//包装单位
	private String packageUnit;
	//计划移位数量
	private double planQuantity;
	//计划移位数量MU
	private double planQuantityMU;
	//取消分配数量
	private Integer manualQuantity;
	//批次属性
	private String lotInfor;
	//存货日期
	private Date inventoryStorageDate;
	private String inventorySOI;
	
	public PT_ALLOCATED(){
		
	}
	
	public PT_ALLOCATED(Object taskId,Object locationCode,Object itemCode,Object itemName,
			Object packageUnit,Object planQuantity,Object planQuantityMU,Object manualQuantity,
			Object lotInfor,Object inventoryStorageDate,Object inventorySOI){
		this.taskId = (Long)taskId;
		this.locationCode = (String)locationCode;
		this.itemCode = (String)itemCode;
		this.itemName = itemName == null?"" : (String)itemName;
		this.packageUnit = (String)packageUnit;
		this.planQuantity = planQuantity == null ? 0D : (Double)planQuantity;
		this.planQuantityMU = planQuantityMU == null ? 0D : (Double)planQuantityMU;
		this.manualQuantity = 0;
		this.lotInfor = lotInfor == null?" " : lotInfor.toString();
		this.inventoryStorageDate = (Date)inventoryStorageDate;
		this.inventorySOI = inventorySOI == null?"" : (String)inventorySOI;
	}
	
	public Long getTaskId() {
		return taskId;
	}

	public void setTaskId(Long taskId) {
		this.taskId = taskId;
	}

	public String getLocationCode() {
		return locationCode;
	}

	public void setLocationCode(String locationCode) {
		this.locationCode = locationCode;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getPackageUnit() {
		return packageUnit;
	}

	public void setPackageUnit(String packageUnit) {
		this.packageUnit = packageUnit;
	}

	public double getPlanQuantity() {
		return planQuantity;
	}

	public void setPlanQuantity(double planQuantity) {
		this.planQuantity = planQuantity;
	}

	public double getPlanQuantityMU() {
		return planQuantityMU;
	}

	public void setPlanQuantityMU(double planQuantityMU) {
		this.planQuantityMU = planQuantityMU;
	}

	public double getManualQuantity() {
		return manualQuantity;
	}

	public void setManualQuantity(Integer manualQuantity) {
		this.manualQuantity = manualQuantity;
	}

	public String getLotInfor() {
		return lotInfor;
	}

	public void setLotInfor(String lotInfor) {
		this.lotInfor = lotInfor;
	}

	public Date getInventoryStorageDate() {
		return inventoryStorageDate;
	}

	public void setInventoryStorageDate(Date inventoryStorageDate) {
		this.inventoryStorageDate = inventoryStorageDate;
	}

	public String getInventorySOI() {
		return inventorySOI;
	}

	public void setInventorySOI(String inventorySOI) {
		this.inventorySOI = inventorySOI;
	}
}